
clear all; close all; clc;
[num,txt,raw] = xlsread('../data/raw_data/intro_data_for_matlab.xlsx', 'data_EMSP_NW');

num = num(:,2:end); % IMPORTANT: uncomment if running on a MAC

NW   = num(:,1);
corp = num(:,2);
EMSP = num(:,3);
HYSP = num(:,4);
EM25 = num(:,5);
EM75 = num(:,6);

time = datetime(1996,09,30):calquarters(1):datetime(2014,12,30);
time = time';

prueba = zeros(size(time,1), 1);
ind1 = time=='30-Jun-1998';
ind2 = time=='30-Jun-2008';
ind3 = time=='30-Sep-2008';
ind4 = time=='30-Jun-2011';


F1 = figure('Renderer', 'painters', 'Position', [1 1 1080 870]);
hold on; plot(time, EMSP, 'LineWidth', 1.5, 'Color', 'black'); plot(time, EM25, ':', 'LineWidth', 1.5, 'Color', 'black');
plot(time, EM75, '--', 'LineWidth', 1.0, 'Color', 'black'); plot(time, HYSP, '-', 'Marker', '+', 'LineWidth', 1.5, 'Color', [0.03 0.30 0.64]);
plot([time(ind1) time(ind1)], [0 19], ':', 'Color', 'black');
plot([time(ind2) time(ind2)], [0 19], ':', 'Color', 'black');
plot([time(ind3) time(ind3)], [0 19], ':', 'Color', 'black');
plot([time(ind4) time(ind4)], [0 19], ':', 'Color', 'black');
hold off;
ylim([0 19]);
leg1 = columnlegend(2, cellstr({'EM Spreads (Mean)', 'EM Spreads (25 pct)', 'EM Spreads (75 pct)', 'U.S. High Yield Spread'}), 'location','southoutside','FontSize',14);
legend boxoff
set(gcf, 'Color', 'White')
set(gca,'FontSize',20)
dim1 = [.20 .6 .3 .3];
dim21 = [.33 .55 .3 .3];
dim22 = [.33 .52 .3 .3];
dim31 = [.64 .64 .3 .3];
dim32 = [.64 .61 .3 .3];
dim41 = [.76 .57 .3 .3];
dim42 = [.76 .54 .3 .3];
str1 = 'Russian/LTCM Crisis';
str21 = 'Beginning of the';
str22 = 'Great Recession';
str31 = 'Lehman';
str32 = 'Bankruptcy';
str41 = 'Greek Debt';
str42 = 'Haircut';
annotation('textbox',dim1,'String',str1,'FitBoxToText','on','EdgeColor','w','FontSize',16);
annotation('textbox',dim21,'String',str21,'FitBoxToText','on','horizontalAlignment', 'right','EdgeColor','None','FontSize',16);
annotation('textbox',dim22,'String',str22,'FitBoxToText','on','horizontalAlignment', 'right','EdgeColor','None','FontSize',16);
annotation('textbox',dim31,'String',str31,'FitBoxToText','on','horizontalAlignment', 'left', 'Margin',0.3,'EdgeColor','None','FontSize',16);
annotation('textbox',dim32,'String',str32,'FitBoxToText','on','horizontalAlignment', 'left', 'Margin',0.3,'EdgeColor','None','FontSize',16);
annotation('textbox',dim41,'String',str41,'FitBoxToText','on','horizontalAlignment', 'left','Margin',0.3,'EdgeColor','None','FontSize',16);
annotation('textbox',dim42,'String',str42,'FitBoxToText','on','horizontalAlignment', 'left','Margin',0.3,'EdgeColor','None','FontSize',16);
F1.PaperOrientation = 'landscape';
saveas(F1, '../tables_output/spreads_percentiles_withHY_edited.jpg')



F2 = figure('Renderer', 'painters', 'Position', [1 1 1080 870]);
set(F2,'defaultAxesColorOrder',[[0 0 0]; [0 0 0]]);
hold on; yyaxis left; plot(time, EMSP, 'LineWidth', 1.5, 'Color', 'black'); plot(time, corp, '-.', 'LineWidth', 1.0, 'Color', 'black'); ylim([0 16]); hold off;
yyaxis right; hold on; plot(time, NW, '-', 'Marker', '+', 'LineWidth', 1.5, 'Color', [0.03 0.30 0.64]); ylim([-2 2.0]);
plot([time(ind1) time(ind1)], [-2 2], ':', 'Color', 'black');
plot([time(ind2) time(ind2)], [-2 2], ':', 'Color', 'black');
plot([time(ind3) time(ind3)], [-2 2], ':', 'Color', 'black');
plot([time(ind4) time(ind4)], [-2 2], ':', 'Color', 'black');
hold off;
leg2 = legend('EM Spreads (Left Axis)', 'EM Corporates', 'U.S. Banks NW (Right Axis)','Location','southoutside', 'Orientation','horizontal');
set(leg2,'Interpreter','latex'); set(leg2,'FontSize',8);
leg2.FontSize = 16;
legend boxoff
set(gcf, 'Color', 'White')
set(gca,'FontSize',20)
dim1 = [.20 .6 .3 .3];
dim21 = [.33 .61 .3 .3];
dim22 = [.33 .58 .3 .3];
dim31 = [.64 .62 .3 .3];
dim32 = [.64 .59 .3 .3];
dim41 = [.76 .57 .3 .3];
dim42 = [.76 .54 .3 .3];
str1 = 'Russian/LTCM Crisis';
str21 = 'Beginning of the';
str22 = 'Great Recession';
str31 = 'Lehman';
str32 = 'Bankruptcy';
str41 = 'Greek Debt';
str42 = 'Haircut';
annotation('textbox',dim1,'String',str1,'FitBoxToText','on','EdgeColor','None','FontSize',16);
annotation('textbox',dim21,'String',str21,'FitBoxToText','on','horizontalAlignment', 'right','EdgeColor','None','FontSize',16);
annotation('textbox',dim22,'String',str22,'FitBoxToText','on','horizontalAlignment', 'right','EdgeColor','None','FontSize',16);
annotation('textbox',dim31,'String',str31,'FitBoxToText','on','horizontalAlignment', 'left', 'Margin',0.3,'EdgeColor','None','FontSize',16);
annotation('textbox',dim32,'String',str32,'FitBoxToText','on','horizontalAlignment', 'left', 'Margin',0.3,'EdgeColor','None','FontSize',16);
annotation('textbox',dim41,'String',str41,'FitBoxToText','on','horizontalAlignment', 'left','Margin',0.3,'EdgeColor','None','FontSize',16);
annotation('textbox',dim42,'String',str42,'FitBoxToText','on','horizontalAlignment', 'left','Margin',0.3,'EdgeColor','None','FontSize',16);
F2.PaperOrientation = 'landscape';
saveas(F2, '../tables_output/spreads_mean_events_NW_edited.jpg')





