
using JLD


### Options for Solving Model
save_models    	 = true
solve_bmk 	   	 = true
iterate_coeffs 	 = true
do_calib_mms   	 = true



# params: β, d0, d1, σn, ρZDM, ρEMDM, σZDM, δ, phi, κ
eval_params = [0.917; 0.062; 14.0; 0.71; 0.0; 0.45; 0.072; 0.15; 3.5; 3.4];


################# -------------- UPLOAD FUNCTIONS -------------- ##################
include("../../00_tauchen.jl")
include("../../00_define_types.jl")
include("00_structure_NAG.jl") 					# load module of model without aggregate shocks
include("00_structure_ASM.jl") 					# load module of model with aggregate shocks
include("../../00_global_loop.jl")
include("../../00_simulation_functions.jl")


################## -------------- CHOSE MODULE TO RUN -------------- ##################

include("01_solve_model.jl")

