
using JLD


### Options for Solving Model
save_models    	 = true
solve_bmk    	 = true
do_calib_mms   	 = true
do_fall_omega    = true



# params: β, d0, d1, σn, ρZDM, ρEMDM, σZDM, δ, phi, κ, ph0, ph1
eval_params = [0.9049; 0.03206; 14.0; 0.71; 0.0; 0.45; 0.068; 0.15; 2.5; 3.5; 1.02; 0.2];


################# -------------- UPLOAD FUNCTIONS -------------- ##################
include("../../00_tauchen.jl")
include("00_define_types.jl")
include("00_structure_NAG.jl") 					# load module of model without aggregate shocks
include("00_structure_ASM.jl") 					# load module of model with aggregate shocks
include("00_global_loop.jl")
include("00_simulation_functions.jl")


################## -------------- SOLVE MODEL -------------- ##################

include("01_solve_model.jl")

