
using JLD

# Note: KS converged

### Options for Solving Model
save_models    	 = true
solve_once 	   	 = true
iterate_coeffs 	 = true
do_calib_mms   	 = true


# params: β, d0, d1, σn, ρω, ρEMDM, σω, δ, phi, κ, ph0, ph1
eval_params = [0.903; 0.03205; 14.0; 0.71; 0.0; 0.50; 0.065; 0.15; 3.5; 3.0; 0.5];


################# -------------- UPLOAD FUNCTIONS -------------- ##################


include("../../00_tauchen.jl")
include("00_define_types.jl")
include("00_structure_NAG.jl")
include("00_structure_ASM.jl")
include("00_global_loop.jl")
include("00_simulation_functions.jl")


################## -------------- SOLVE MODEL -------------- ##################

include("01_solve_model.jl")

